Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Transcript

All Superinterfaces:
  Accessioned, java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface Transcript
extends Accessioned, Feature

Transcript.

Method Summary
`void` | `addAttribute(Attribute attribute)` Add attribute.
`java.util.List` | `getAttributes()` Return all attributes associated witht this transcript.
`java.util.List` | `getAttributes(java.lang.String code)` Return all Attributes where attribute.code==code.
`java.lang.String` | `getBioType()` Return the biological type of the gene.
`Location` | `getCDNALocation()` Concatenation of all exon locations.
`java.lang.String` | `getConfidence()` Deprecated. since version 34.1. Use getStatus() instead.
`java.lang.String` | `getDisplayName()`
`java.util.List` | `getExons()`
`java.util.List` | `getExternalRefs()` External refs for this transcript and it's translation if is has one.
`java.util.List` | `getExternalRefs(boolean includeTranslation)` External refs for this transcript and optionally those of it's translation (if the transcript has one.)
`java.util.List` | `getFivePrimeUTR()`
`Gene` | `getGene()`
`long` | `getGeneInternalID()` Returns gene internal id.
`java.lang.String[]` | `getInterproIDs()` Interpro IDs associated with this transcript.
`int` | `getLength()` Returns combined length of all exons.
`Sequence` | `getSequence()` Sequence at this genomic location.
`java.util.List` | `getSequenceEdits()` Sequence edits for this transcript.
`java.lang.String` | `getStatus()` The status of the transcript.
`java.util.List` | `getSupportingFeatures()` Supporting features used to build this transcript.
`java.util.List` | `getThreePrimeUTR()`
`Translation` | `getTranslation()`
`long` | `getTranslationInternalID()` Returns translation internal id.
`boolean` | `isKnown()` Whether this is a known transcript.
`boolean` | `isSequenceEditsEnabled()` Whether sequence edits are enabled.
`boolean` | `removeAttribute(Attribute attribute)` Remove attribute if present in attributes.
`void` | `setBioType(java.lang.String type)` Set the biological type of the gene.
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setExons(java.util.List exons)`
`void` | `setGene(Gene gene)` Sets gene and geneInternalID.
`void` | `setGeneInternalID(long geneInternalID)` Sets gene internal id, also sets the gene.internalID if gene is available.
`void` | `setSequence(Sequence sequence)`
`void` | `setSequenceEditsEnabled(boolean sequenceEditsEnabled)` Set whether sequence edits should be applied to sequence.
`void` | `setStatus(java.lang.String status)` Set the status of the transcript.
`void` | `setTranslation(Translation newTranslation)` Sets translation and translationInternalID.
`void` | `setTranslationInternalID(long translationInternalID)` Sets translation internal id, also sets the translation.internalID if translation is available.

Methods inherited from interface org.ensembl.datamodel.Accessioned
`getAccessionID, getCreatedDate, getModifiedDate, getVersion, setAccessionID, setCreatedDate, setModifiedDate, setVersion`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, setAnalysis, setAnalysisID, setDescription`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, setCoordinateSystem, setLocation`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getExons

    public java.util.List getExons()

### setExons

    public void setExons(java.util.List exons)

### getCDNALocation

    public Location getCDNALocation()

  Concatenation of all exon locations.

  Returns:
    list location containing a contatenation of all the exon locations.

### getLength

    public int getLength()

  Returns combined length of all exons.

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `Feature`
  Returns:
    dispaly name if available, otherwise null

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Specified by:
    `setDisplayName` in interface `Feature`

### getThreePrimeUTR

    public java.util.List getThreePrimeUTR()

  Returns:
    list of UTR locations at end of translation, or null if not available.

### getFivePrimeUTR

    public java.util.List getFivePrimeUTR()

  Returns:
    list of UTR locations before translation, or null if not available.

### getGene

    public Gene getGene()

### setGene

    public void setGene(Gene gene)

  Sets gene and geneInternalID.

### getExternalRefs

    public java.util.List getExternalRefs()

  External refs for this transcript and it's translation if is has one. This is the same as getExternalRefs(true). Use getExternalRefs(false) if you only want external refs for the transcript and not the translation.

  Returns:
    list of ExternalRef objects, an empty list if none available.

### getExternalRefs

    public java.util.List getExternalRefs(boolean includeTranslation)

  External refs for this transcript and optionally those of it's translation (if the transcript has one.)

  Parameters:
    `includeTranslation` - whether to include external refs for the translation.
  Returns:
    list of ExternalRef objects, an empty list if none available.

### getGeneInternalID

    public long getGeneInternalID()

  Returns gene internal id. This is the same as gene.internalID if gene is available.

  Returns:
    internalID of the gene.

### setGeneInternalID

    public void setGeneInternalID(long geneInternalID)

  Sets gene internal id, also sets the gene.internalID if gene is available.

### getTranslationInternalID

    public long getTranslationInternalID()

  Returns translation internal id. This is the same as translation.internalID if translation is available.

  Returns:
    internalID of the translation.

### setTranslationInternalID

    public void setTranslationInternalID(long translationInternalID)

  Sets translation internal id, also sets the translation.internalID if translation is available.

### getTranslation

    public Translation getTranslation()

### setTranslation

    public void setTranslation(Translation newTranslation)

  Sets translation and translationInternalID.

### getSequence

    public Sequence getSequence()

  Description copied from interface: `Locatable`
  Sequence at this genomic location.

  Specified by:
    `getSequence` in interface `Locatable`
  Returns:
    Sequence at this genomic location.

### setSequence

    public void setSequence(Sequence sequence)

  Specified by:
    `setSequence` in interface `Locatable`

### isSequenceEditsEnabled

    public boolean isSequenceEditsEnabled()

  Whether sequence edits are enabled. If sequenceEditsEnabled=false then getSequence() returns the concatenated exon sequence. If sequenceEditsEnabled=true and sequence edits exit for this transcritp then getSequence() returns the concatenated exon sequence with the edits applied.

  Returns:
    whether sequence edits are enabled. True by default.
  See Also:
    `getSequence()`, `getSequenceEdits()`

### setSequenceEditsEnabled

    public void setSequenceEditsEnabled(boolean sequenceEditsEnabled)

  Set whether sequence edits should be applied to sequence.

  Parameters:
    `sequenceEditsEnabled` - whether sequence edits are enabled.
  See Also:
    `getSequence()`

### getSequenceEdits

    public java.util.List getSequenceEdits()

  Sequence edits for this transcript. There may be no sequence edits available for the transcripts.

  Returns:
    list of zero or more SequenceEdits.
  See Also:
    `SequenceEdit`

### getAttributes

    public java.util.List getAttributes()

  Return all attributes associated witht this transcript.

  Returns:
    zero or more Attributes associated witht this transcript.
  See Also:
    `Attribute`

### getAttributes

    public java.util.List getAttributes(java.lang.String code)

  Return all Attributes where attribute.code==code.

  Parameters:
    `code` - code to filter attributes against.
  Returns:
    zero or more attributes.
  See Also:
    `Attribute`

### addAttribute

    public void addAttribute(Attribute attribute)

  Add attribute.

  Parameters:
    `attribute` - attribute to add to attributes.

### removeAttribute

    public boolean removeAttribute(Attribute attribute)

  Remove attribute if present in attributes.

  Parameters:
    `attribute` - attribute to be removed.
  Returns:
    true if attribute was removed, otherwise false.

### isKnown

    public boolean isKnown()

  Whether this is a known transcript. Transcript are known if their corresponding translation is known.

  Returns:
    value of known.

### getInterproIDs

    public java.lang.String[] getInterproIDs()
                                      throws AdaptorException

  Interpro IDs associated with this transcript.

  Returns:
    array of zero or more interpro IDs.
  Throws:
    `AdaptorException` - if a problem occurs retrieving the IDs from the database.

### getConfidence

    public java.lang.String getConfidence()

  Deprecated. since version 34.1. Use getStatus() instead.

  Returns the status of the transcript. Delegates to getStatus().

  See Also:
    `getStatus()`

### getStatus

    public java.lang.String getStatus()

  The status of the transcript. Normally be one of these Strings: 'KNOWN','NOVEL','PUTATIVE','PREDICTED'.

  Returns:
    status of the transcript.

### setStatus

    public void setStatus(java.lang.String status)

  Set the status of the transcript.

  Parameters:
    `status` - status of the transcript.

### getSupportingFeatures

    public java.util.List getSupportingFeatures()

  Supporting features used to build this transcript. Supporting features are a mixture of DnaDnaAlignment and DnaProteinAlignment.

  Returns:
    zero or more supporting features.
  See Also:
    `DnaDnaAlignment`, `DnaProteinAlignment`

### setBioType

    public void setBioType(java.lang.String type)

  Set the biological type of the gene.

  Parameters:
    `type` - biological type.

### getBioType

    public java.lang.String getBioType()

  Return the biological type of the gene.

  Returns:
    biological type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD